package io.openems.edge.ess.kaco.blueplanet.gridsave50;

import org.osgi.service.metatype.annotations.AttributeDefinition;
import org.osgi.service.metatype.annotations.ObjectClassDefinition;

import io.openems.edge.ess.kaco.blueplanet.gridsave50.EssKacoBlueplanetGridsave50.Version;

@ObjectClassDefinition( //
		name = "ESS KACO blueplanet gridsave 50.0 TL3", //
		description = "Implements the KACO blueplanet gridsave 50.0 TL3 inverter.")
@interface Config {

	@AttributeDefinition(name = "Component-ID", description = "Unique ID of this Component")
	String id() default "ess0";

	@AttributeDefinition(name = "Alias", description = "Human-readable name of this Component; defaults to Component-ID")
	String alias() default "";

	@AttributeDefinition(name = "Is enabled?", description = "Is this Component enabled?")
	boolean enabled() default true;

	@AttributeDefinition(name = "Modbus-ID", description = "ID of Modbus bridge.")
	String modbus_id() default "modbus0";

	@AttributeDefinition(name = "Modbus target filter", description = "This is auto-generated by 'Modbus-ID'.")
	String Modbus_target() default "";

	@AttributeDefinition(name = "Watchdog", description = "Sets the watchdog timer interval in seconds, 0=disable")
	int watchdoginterval() default 60;

	@AttributeDefinition(name = "Battery-ID", description = "ID of Battery.")
	String battery_id() default "bms0";

	@AttributeDefinition(name = "Battery target filter", description = "This is auto-generated by 'Battery-ID'.")
	String Battery_target() default "";

	@AttributeDefinition(name = "Kaco Software Version", description = "Software Version running on the inverter.")
	Version sw_version() default Version.VERSION_5_34;
	
	String webconsole_configurationFactory_nameHint() default "ESS KACO blueplanet gridsave 50.0 TL3 [{id}]";
}