package io.openems.edge.goodwe.charger;

import org.osgi.service.metatype.annotations.AttributeDefinition;
import org.osgi.service.metatype.annotations.ObjectClassDefinition;

import io.openems.edge.goodwe.GoodWeConstants;

@ObjectClassDefinition(//
		name = "GoodWe ET Charger PV1", //
		description = "Implements the Goodwe-ET Charger.")

public @interface ConfigPV1 {
	@AttributeDefinition(name = "Component-ID", description = "Unique ID of this Component")
	String id() default "charger0";

	@AttributeDefinition(name = "Alias", description = "Human-readable name of this Component; defaults to Component-ID")
	String alias() default "";

	@AttributeDefinition(name = "Is enabled?", description = "Is this Component enabled?")
	boolean enabled() default true;

	@AttributeDefinition(name = "GoodWe ET ESS", description = "ID of GoodWe ET Energy Storage System.")
	String ess_id() default "ess0";

	@AttributeDefinition(name = "GoodWe ET ESS target filter", description = "This is auto-generated by 'GoodWe ET ESS'.")
	String Ess_target() default "";

	@AttributeDefinition(name = "Modbus Unit-id", description = "Unit-id")
	int unit_id() default GoodWeConstants.DEFAULT_UNIT_ID;

	@AttributeDefinition(name = "Modbus-ID", description = "ID of Modbus bridge.")
	String modbus_id() default "modbus0";

	@AttributeDefinition(name = "Modbus target filter", description = "This is auto-generated by 'Modbus-ID'.")
	String Modbus_target() default "";

	String webconsole_configurationFactory_nameHint() default "GoodWe ET Charger PV1 [{id}]";
}