package io.openems.common.websocket;

import static org.junit.Assert.assertEquals;

import java.util.Optional;

import org.junit.Test;

import com.google.gson.JsonObject;

import io.openems.common.utils.JsonUtils;

public class OnOpenTest {

	private static JsonObject createJsonObject(String key, String value) {
		return JsonUtils.buildJsonObject() //
				.addProperty(key, value) //
				.build();
	}

	@Test
	public void testGetFieldFromHandshakeCookie() {
		assertEquals(Optional.of("bar"), //
				OnOpen.getFieldFromHandshakeCookie(//
						createJsonObject("cookie", "foo=bar"), //
						"foo"));

		assertEquals(Optional.of("bar"), //
				OnOpen.getFieldFromHandshakeCookie(//
						createJsonObject("COOKIE", "foo=bar"), //
						"foo"));

		assertEquals(Optional.of("bar"), //
				OnOpen.getFieldFromHandshakeCookie(//
						createJsonObject("cOOkIe", "foo=bar"), //
						"foo"));

		assertEquals(Optional.empty(), //
				OnOpen.getFieldFromHandshakeCookie(//
						createJsonObject("spooky", "foo=bar"), //
						"foo"));

		assertEquals(Optional.empty(), //
				OnOpen.getFieldFromHandshakeCookie(//
						createJsonObject("cookie", "foobar"), //
						"foo"));

		assertEquals(Optional.empty(), //
				OnOpen.getFieldFromHandshakeCookie(//
						createJsonObject("cookie", "foo=bar"), //
						"bar"));

		assertEquals(Optional.empty(), //
				OnOpen.getFieldFromHandshakeCookie(//
						JsonUtils.buildJsonObject().add("cookie", new JsonObject()).build(), //
						"bar"));
	}

}
